{% load static %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
    <link href="{% static 'card_style.css' %}" rel="stylesheet" type="text/css">
    <link href="{% static 'navbar.css' %}" rel="stylesheet" type="text/css">
    <style>
      .text-center .btn-primary{
        background-color:pink;
        border-top: 10px;
        color:rgb(197, 159, 159);
        text-decoration: none;
      }
      .card-header{
      background-color: aqua;
      border-top: 10px;}
      .col .container .card .list-group-flush .list-group-item{
        
        background-color: lightcoral;
      }
      .col .container .card .card-body{
        border-bottom: 10px;
        background-color: lightgreen;
      }
      .body{
        background-color: bisque;
      }
      .row .row-cols-1 .row-cols-md-3 .g-4 .col .container .card .card-header{
        background-color: blueviolet;
      }

    </style>

    

    <title>Note Cards</title>

  </head>

  <body>
    <nav class="navbar navbar-expand-lg navbar-light">
        <div class="container-fluid">
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
              <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="..">Profile</a>
              </li>
              <li class="nav-item active">
                <a class="nav-link" href="../lab-2/">Lab 2 <span class="sr-only"></span></a>
              </li>
              <li class="nav-item active">
                  <a class="nav-link" href="../lab-3/add">Lab 3 <span class="sr-only"></span></a>
                </li>
                <li class="nav-item active">
                  <a class="nav-link" href="../lab-4/">Lab 4 - Table <span class="sr-only"></span></a>
                </li>
              <li class="nav-item">
                  <a class="nav-link"  href="../lab-1/friends">Friend List</a>
              </li>
            </ul>
          </div>
        </div>
      </nav>

      <div class="row row-cols-1 row-cols-md-3 g-4">
          {% if Notes %}
          {% for notes in Notes %}

          <div class="col">
            <div class="container">
                <div class="card">
                    <div class="card-header">
                        To : {{notes.to}}
                    </div>
                    <ul class="list-group list-group-flush">
                        <li class="list-group-item">From : {{notes.From}}</li>
                    </ul>
                    <div class="card-body">
                        <h5 class="card-title"> {{notes.title}} </h5>
                        <p class="card-text">{{notes.message}} </p>
                    </div>
                </div>
                <div class="text-center" id="firstextcenter">
                </div>
            </div>
        </div>
        {% endfor %}
        {% endif %}
    </div>

    <div class="text-center" id="secondtextcenter">
        <button class="btn btn-primary" onclick="window.location.href='add-note'">
            Add Note
        </button>
    </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ" crossorigin="anonymous"></script>
    </body>
</html>
